curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/shipment/tracking \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"event": "picked up",
"eventId": "627963716b19511e8a3a631b",
"timestamp": "2019-09-30T07:58:30.996Z",
"shipmentCarrier": "FEDEX",
"location": "Reno, NV",
"notes": {}
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/shipment/tracking"
payload = {
"event": "picked up",
"eventId": "627963716b19511e8a3a631b",
"timestamp": "2019-09-30T07:58:30.996Z",
"shipmentCarrier": "FEDEX",
"location": "Reno, NV",
"notes": {}
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
event: 'picked up',
eventId: '627963716b19511e8a3a631b',
timestamp: '2019-09-30T07:58:30.996Z',
shipmentCarrier: 'FEDEX',
location: 'Reno, NV',
notes: {}
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/shipment/tracking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"shipmentId": "627963716b19511e8a3a631b",
"shipmentNum": "78974156816152",
"invoiceId": "5674156816152",
"allocationId": "112345678912340",
"orderNumber": [
"112345678912340",
"112345678912340"
],
"poNumber": "1125",
"vendorId": "56",
"statusCode": "SHIPPED",
"type": "STANDARD",
"reshipmentReasonCode": "Order went missing",
"shipDate": "2022-06-06T07:58:30.996Z",
"locationNum": "132412",
"locationType": "DC",
"totalCartons": 2,
"masterTrackingNumber": "TX112345678",
"shipToId": "1",
"shipToAddress": {
"addressLine1": "888 Broadway",
"addressLine2": "505 suite",
"addressLine3": "<string>",
"addressLine4": "<string>",
"city": "New York",
"state": "NY",
"country": "USA",
"postalCode": "1003",
"type": "home",
"latitude": 134.13413,
"longitude": 757.0435
},
"recipient": [
{
"name": {
"first": "John",
"middle": "<string>",
"last": "Doe"
},
"email": "support@abc.inc",
"phone": {
"number": 10612345678,
"type": "MOBILE"
}
}
],
"cartons": [
{
"cartonNum": "1",
"cartonType": "Package",
"promisedDeliveryDate": "2022-05-26T07:58:30.996Z",
"estimatedShipDate": "2022-05-25T07:58:30.996Z",
"estimatedDeliveryDate": "2022-05-26T07:58:30.996Z",
"shipmentMethod": "ground",
"shipmentCarrier": "FEDEX",
"weight": "500 gram",
"trackingNumber": "1Z999AA10123456784",
"trackingURL": "https://fedex.com/tracking",
"trackingDetails": [
{
"event": "picked up",
"eventId": "627963716b19511e8a3a631b",
"timestamp": "2019-09-30T07:58:30.996Z",
"shipmentCarrier": "FEDEX",
"location": "Reno, NV",
"notes": {}
}
],
"items": [
{
"shipmentLineItemId": "607f1f77bcf86cd799439011",
"orderId": "317736896",
"orderNumber": "507f1f77bcf86cd799439011",
"lineItemId": "1",
"itemId": "100023",
"sku": "SKU0023",
"channelId": "12",
"segment": null,
"vendorId": "56",
"orderedQuantity": 2,
"shippedQuantity": 2,
"returnQuantity": 1,
"returnAmount": 10,
"fees": [
{
"type": "tax",
"value": 34.56,
"quantity": 12,
"refundAmount": 10.4
}
],
"giftCard": [
{
"giftCardNum": "453456765",
"amount": 50,
"giftCardStatus": "ACTIVE",
"giftCardActiveRequestDate": "2022-05-26T07:58:30.996Z",
"giftCardActiveDate": "2022-06-26T07:58:30.996Z"
}
],
"attributes": {},
"uom": null
}
]
}
],
"scratchedItems": [
{
"orderId": "507f1f77bcf86cd799439012",
"lineItemId": "2",
"itemId": "100043",
"sku": "SKU00043",
"quantity": 1,
"reasonCode": "<string>",
"subReasonCode": "<string>",
"attributes": {},
"uom": null
}
],
"createdAt": "2022-06-06T07:58:30.996Z",
"updatedAt": "2022-06-06T07:58:30.996Z",
"auditLogs": [
{
"auditType": "create",
"employeeId": "62272e917b12209e68751d94",
"auditTimestamp": "2022-05-12T09:24:54.804Z",
"source": "POS",
"note": "Note",
"attributes": {},
"updatedFields": [
{
"attributeName": "UOM",
"attributeOriginalValue": "PK"
}
]
}
],
"attributes": {}
}
]{
"message": "Bad Request"
}{
"message": "Object Not Found."
}{
"message": "Internal Server Error"
}Update package tracking
Updates details of package tracking.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
Details of shipment tracking generated once shipment is picked up from store
Event status
"picked up"
24-character system-generated unique event ID
"627963716b19511e8a3a631b"
Time of event creation
"2019-09-30T07:58:30.996Z"
Shipment carrier name. Applicable in case of a different carrier
"FEDEX"
Current location
"Reno, NV"
shipment notes
Show child attributes
Show child attributes
Response
Ok
24-character fabric-generated unique ID of shipment
"627963716b19511e8a3a631b"
Shipment number (external)
"78974156816152"
fabric-generated Invoice ID
"5674156816152"
Allocation ID for an order, generated from allocation service
"112345678912340"
Order number. It's usually generated by another system, such as an external checkout system.
["112345678912340", "112345678912340"]
Purchase order number (generally, vendor-generated)
"1125"
Vendor ID
"56"
Shipment status code
SHIPMENT_CREATED, SHIPMENT_CANCELLED, PICKUP_CREATED, PICKUP_COMPLETED, SHIPMENT_RETURN_PENDING, SHIPMENT_RETURN_RECEIVED, SHIPMENT_PARTIALLY_DELIVERED, SHIPMENT_DELIVERED "SHIPPED"
shipment type
STANDARD, RESHIP, RETURN, SCRATCH, PICKUP "STANDARD"
Reason code for reshipment
"Order went missing"
Time of shipping
"2022-06-06T07:58:30.996Z"
location number from location service to get exact address.
"132412"
Location type based on location service such as store, distribution center (DC)
"DC"
Total number of cartons
2
Main tracking number, to track fulfillment of all the orders
"TX112345678"
Ship-to ID refers to item's delivery address
"1"
Details of delivery address
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
details of scratched items
Show child attributes
Show child attributes
Time of shipment creation
"2022-06-06T07:58:30.996Z"
Time of last update
"2022-06-06T07:58:30.996Z"
Details of audit logs
Show child attributes
Show child attributes
Attribute details for additional information
Show child attributes
Show child attributes
Was this page helpful?
